### Function

# Gtk.PaperSize.new_from_gvariant

#### Declaration [src]

    GtkPaperSize*
    gtk_paper_size_new_from_gvariant (
      GVariant* variant
    )

#### Description [src]

Deserialize a paper size from a `GVariant`.

The `GVariant must be in the format produced by <a href="method.PaperSize.to_gvariant.html">`gtk_paper_size_to_gvariant()`.

#### Parameters

`variant` | `GVariant*`
| an a{sv} `GVariant`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkPaperSize`
a new `GtkPaperSize` object
Ownership of the data is transferred to the caller